Subject: Re: merging initial part of a branch?

From: "J. Bruce Fields" <[email-masked]>
Date: Thu, 12 Jan 2006 22:08:37 -0500

On Wed, Jan 11, 2006 at 05:47:05PM -0800, Junio C Hamano wrote:
> "J. Bruce Fields" <[email-masked]> writes:
> 
> >> I haven't tried this for some time, but I presume
> >> 
> >> 	$ git pull linus tag v2.6.15
> >> 
> >> would do what you want.
> >
> > Yep!  Thanks.  The only documentation I can find for this is a slightly
> > obscure bit in the git-pull man page which lists this as a "short-cut"
> > notation.  What is it a shortcut for?  Is it possible to specify an
> > arbitrary commit in place of the "tag v2.6.15" somehow?
> 
> The phrase "short-hand" refers to "linus" in the above example.
> I.e. the name of the file in $GIT_DIR/remotes that records the
> URL (among other things).

No, I'm referring to the following language:

	"Some short-cut notations are also supported.

	"For backward compatibility, tag is almost ignored; it just
	makes the following parameter <tag> to mean a refspec
	refs/tags/<tag>:refs/tags/<tag>."

That's the only reference I can find to the "tag <tag>" notation, and
it's a bit unhelpful as written.  (What backward compatibility?)

How about the following?--b.

diff --git a/Documentation/pull-fetch-param.txt b/Documentation/pull-fetch-param.txt
index b5b9792..4524fee 100644
--- a/Documentation/pull-fetch-param.txt
+++ b/Documentation/pull-fetch-param.txt
@@ -134,9 +134,9 @@ is often useful.
 +
 Some short-cut notations are also supported.
 +
-* For backward compatibility, `tag` is almost ignored;
-  it just makes the following parameter <tag> to mean a
-  refspec `refs/tags/<tag>:refs/tags/<tag>`.
+* `tag <tag>` means the same as `refs/tags/<tag>:refs/tags/<tag>`; 
+  used with pull or fetch, it requests fetching everything up to
+  the given tag.
 * A parameter <ref> without a colon is equivalent to
   <ref>: when pulling/fetching, and <ref>`:`<ref> when
   pushing.  That is, do not store it locally if